<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RequestBodyLogger.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">vendingmachine</a> &gt; <a href="index.source.html" class="el_package">com.example.vendingmachine.log</a> &gt; <span class="el_source">RequestBodyLogger.java</span></div><h1>RequestBodyLogger.java</h1><pre class="source lang-java linenums">package com.example.vendingmachine.log;

import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.core.MethodParameter;
import org.springframework.http.HttpInputMessage;
import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.web.servlet.mvc.method.annotation.RequestBodyAdviceAdapter;
import java.lang.reflect.Type;
import jakarta.servlet.http.HttpServletRequest;

<span class="nc" id="L12">public class RequestBodyLogger extends RequestBodyAdviceAdapter {</span>

    @Autowired
    LoggerService loggerService;

    @Autowired
    HttpServletRequest httpServletRequest;

    @Override
    public boolean supports(MethodParameter methodParameter, Type type,
            Class&lt;? extends HttpMessageConverter&lt;?&gt;&gt; aClass) {
<span class="nc" id="L23">        return true;</span>
    }

    @Override
    public Object afterBodyRead(Object body, HttpInputMessage inputMessage,
            MethodParameter parameter, Type targetType,
            Class&lt;? extends HttpMessageConverter&lt;?&gt;&gt; converterType) {

<span class="nc" id="L31">        loggerService.logRequest(httpServletRequest, body);</span>

<span class="nc" id="L33">        return super.afterBodyRead(body, inputMessage, parameter, targetType, converterType);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>